<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for store/modules/accounts.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../prettify.css" />
    <link rel="stylesheet" href="../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../index.html">all files</a> / <a href="index.html">store/modules/</a> accounts.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">8.33% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>4/48</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/4</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/30</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">8.89% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>4/45</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">import {ACCOUNTS_GET, ACCOUNTS_SET_PENDING, ACCOUNTS_SET_DELETING, ACCOUNTS_SET_ACCOUNTS, ACCOUNTS_SET_OK, ACCOUNTS_DELETE_ACCOUNT, ACCOUNTS_SET_FIRSTLOAD, ACCOUNTS_SET_PRIMARY, ACCOUNTS_SET_NAME} from '@/store/mutation-types'
import backendApi from '@/utils/backend-api'
&nbsp;
const state = {
  accounts: [
  ],
  status: ''
}
&nbsp;
const getters = {
  getAccountsStatus: (state) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >state.status,</span></span>
  getAccounts: (state) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >state.accounts</span></span>
}
&nbsp;
const mutations = {
  [ACCOUNTS_SET_PENDING]: (state) =&gt; <span class="fstat-no" title="function not covered" >{ <span class="cstat-no" title="statement not covered" >state.status = 'pending' </span>},</span>
  ACCOUNTS_SET_STATUS: (state, status) =&gt; <span class="fstat-no" title="function not covered" >{ <span class="cstat-no" title="statement not covered" >state.status = status </span>},</span>
  [ACCOUNTS_SET_DELETING]: (state) =&gt; <span class="fstat-no" title="function not covered" >{ <span class="cstat-no" title="statement not covered" >state.status = 'deleting' </span>},</span>
  [ACCOUNTS_SET_FIRSTLOAD]: (state) =&gt; <span class="fstat-no" title="function not covered" >{ <span class="cstat-no" title="statement not covered" >state.status = 'firstLoad' </span>},</span>
  [ACCOUNTS_SET_OK]: (state) =&gt; <span class="fstat-no" title="function not covered" >{ <span class="cstat-no" title="statement not covered" >state.status = 'ok' </span>},</span>
  [ACCOUNTS_SET_ACCOUNTS]: (state, accounts) =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >    state.status = 'ok'</span>
<span class="cstat-no" title="statement not covered" >    state.accounts = accounts</span>
  },
  [ACCOUNTS_SET_PRIMARY]: (state, id) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >state.accounts = state.accounts.map(card =&gt; (<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >{...card, isprimary: card.id === id ? 1 : 0})</span></span>),</span></span>
  [ACCOUNTS_SET_NAME]: (state, {id, name}) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >state.accounts = state.accounts.map(card =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >id === card.id ? {...card, name: name} : card)</span></span>,</span></span>
  [ACCOUNTS_DELETE_ACCOUNT]: (state, {id}) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >state.accounts = state.accounts.filter((account) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >account.id !== id)</span></span></span></span>
}
&nbsp;
const actions = {
  [ACCOUNTS_GET]: ({commit}) =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >    return new Promise((resolve, reject) =&gt; <span class="fstat-no" title="function not covered" >{</span></span>
<span class="cstat-no" title="statement not covered" >      commit(ACCOUNTS_SET_FIRSTLOAD)</span>
<span class="cstat-no" title="statement not covered" >      backendApi.getData('accounts').then((response) =&gt; <span class="fstat-no" title="function not covered" >{</span></span>
<span class="cstat-no" title="statement not covered" >        commit(ACCOUNTS_SET_ACCOUNTS, response.data)</span>
<span class="cstat-no" title="statement not covered" >        resolve(response)</span>
      }).catch(response =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >        console.log(response)</span>
<span class="cstat-no" title="statement not covered" >        reject(response)</span>
      })
    })
  },
  [ACCOUNTS_DELETE_ACCOUNT]: ({commit, state}, card) =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >    return new Promise((resolve, reject) =&gt; <span class="fstat-no" title="function not covered" >{</span></span>
<span class="cstat-no" title="statement not covered" >      commit(ACCOUNTS_SET_PENDING)</span>
<span class="cstat-no" title="statement not covered" >      console.log(card)</span>
<span class="cstat-no" title="statement not covered" >      backendApi.deleteData('accounts/' + card.id).then((response) =&gt; <span class="fstat-no" title="function not covered" >{</span></span>
<span class="cstat-no" title="statement not covered" >        commit(ACCOUNTS_DELETE_ACCOUNT, card)</span>
<span class="cstat-no" title="statement not covered" >        commit(ACCOUNTS_SET_OK)</span>
<span class="cstat-no" title="statement not covered" >        resolve(response)</span>
      }).catch((error) =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >        commit(ACCOUNTS_SET_OK)</span>
<span class="cstat-no" title="statement not covered" >        reject(error)</span>
      })
    })
  },
  [ACCOUNTS_SET_PRIMARY]: ({commit, state}, card) =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >    return new Promise((resolve, reject) =&gt; <span class="fstat-no" title="function not covered" >{</span></span>
<span class="cstat-no" title="statement not covered" >      commit(ACCOUNTS_SET_PENDING)</span>
<span class="cstat-no" title="statement not covered" >      backendApi.patchData('accounts/' + card.id, card).then((response) =&gt; <span class="fstat-no" title="function not covered" >{</span></span>
<span class="cstat-no" title="statement not covered" >        commit(ACCOUNTS_SET_PRIMARY, card.id)</span>
<span class="cstat-no" title="statement not covered" >        commit('ACCOUNTS_SET_STATUS', 'primary-is-changed')</span>
        // setTimeout(commit, 500, ACCOUNTS_SET_OK)
<span class="cstat-no" title="statement not covered" >        resolve(response)</span>
      }).catch((error) =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >        commit(ACCOUNTS_SET_OK)</span>
<span class="cstat-no" title="statement not covered" >        reject(error)</span>
      })
    })
  },
  [ACCOUNTS_SET_NAME]: ({commit, state}, card) =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >    return new Promise((resolve, reject) =&gt; <span class="fstat-no" title="function not covered" >{</span></span>
<span class="cstat-no" title="statement not covered" >      backendApi.putData('accounts/' + card.id, card).then((response) =&gt; <span class="fstat-no" title="function not covered" >{</span></span>
<span class="cstat-no" title="statement not covered" >        commit(ACCOUNTS_SET_NAME, card)</span>
<span class="cstat-no" title="statement not covered" >        resolve(response)</span>
      }).catch((error) =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >        reject(error)</span>
      })
    })
  }
}
&nbsp;
export default {
  state,
  getters,
  mutations,
  actions
}
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Thu Mar 22 2018 15:24:00 GMT+0300 (MSK)
</div>
</div>
<script src="../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../sorter.js"></script>
</body>
</html>
